VHDissector.onLicenseIdReady( function() {
	(function($) {
		$( "body > footer" ).prepend( $( '<small>License ID: ' + VHDissector.getLicenseId() + '</small><br>' ) );
		$.ajax( {
			type: "GET",
			url: "/bin/licensed-lessons.php",
			data: "license_id=" + encodeURIComponent( VHDissectorAPI.getLicenseId() ),
			cache: false,
			dataType: "json",
			success: function( data ) {
				var licensedLessons = data.licensedLessons;
				for( var i = 0; i < licensedLessons.length; i++ ) {
					var lessonId = "#" + licensedLessons[i];
					lessonId = lessonId.replace( /\./g, "-" );
					$( lessonId ).show();
				};
			},
			error: function() {
				// Display an error that we were unable to get their lessons.
			}
		} );
	})(jQuery);
} );